Bas Couwenberg pushed to branch master at Debian GIS Project / osmosis

Commits:
80f89d22 by Bas Couwenberg at 2018-08-11T08:47:02Z
Add patch to disable building osmosis-replication-http module, requires Netty 
3.x which is being removed from Debian. (closes: #905858)

- - - - -
32692eb0 by Bas Couwenberg at 2018-08-11T09:14:01Z
Add NEWS file to document HTTP replication removal.

- - - - -
e25350d3 by Bas Couwenberg at 2018-08-11T09:14:17Z
Set distribution to unstable.

- - - - -


6 changed files:

- + debian/NEWS
- debian/changelog
- debian/control
- debian/maven.rules
- + debian/patches/disable-netty3.patch
- debian/patches/series


Changes:

=====================================
debian/NEWS
=====================================
--- /dev/null
+++ b/debian/NEWS
@@ -0,0 +1,17 @@
+osmosis (0.46-6) unstable; urgency=medium
+
+  The HTTP replication module has been disabled, it requires Netty 3
+  which is being removed from Debian, see: https://bugs.debian.org/888255.
+
+  This affects the Server-side Streaming support, removing the following
+  options:
+
+   --receive-replication, --rr
+   --send-replication-data, --srd
+   --send-replication-sequence, --srs
+
+   --read-replication-0.6
+   --send-replication-data-0.6
+   --send-replication-sequence-0.6
+
+ -- Bas Couwenberg <sebas...@debian.org>  Sat, 11 Aug 2018 10:56:42 +0200


=====================================
debian/changelog
=====================================
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,12 @@
-osmosis (0.46-6) UNRELEASED; urgency=medium
+osmosis (0.46-6) unstable; urgency=medium
 
   * Bump Standards-Version to 4.2.0, no changes.
+  * Add patch to disable building osmosis-replication-http module,
+    requires Netty 3.x which is being removed from Debian.
+    (closes: #905858)
+  * Add NEWS file to document HTTP replication removal.
 
- -- Bas Couwenberg <sebas...@debian.org>  Sun, 05 Aug 2018 20:39:46 +0200
+ -- Bas Couwenberg <sebas...@debian.org>  Sat, 11 Aug 2018 11:14:02 +0200
 
 osmosis (0.46-5) unstable; urgency=medium
 


=====================================
debian/control
=====================================
--- a/debian/control
+++ b/debian/control
@@ -18,7 +18,7 @@ Build-Depends: debhelper (>= 9),
                libjdepend-java,
                libjpf-java,
                libmysql-java,
-               libnetty-3.9-java,
+#               libnetty-3.9-java,
                libpostgis-java,
                libpostgresql-jdbc-java,
                libspring-beans-java,
@@ -48,7 +48,7 @@ Depends: default-jre-headless | java8-runtime-headless,
          libcommons-pool-java,
          libjpf-java,
          libmysql-java,
-         libnetty-3.9-java,
+#         libnetty-3.9-java,
          libpostgis-java,
          libpostgresql-jdbc-java,
          libspring-beans-java,


=====================================
debian/maven.rules
=====================================
--- a/debian/maven.rules
+++ b/debian/maven.rules
@@ -2,6 +2,6 @@
 junit junit * s/.*/4.x/ * *
 org.codehaus.plexus plexus-classworlds * s/.*/2.x/ * *
 org.springframework spring-jdbc * s/.*/debian/ * *
-s/org.jboss.netty/io.netty/ netty * s/.*/debian/ * *
+#s/org.jboss.netty/io.netty/ netty * s/.*/debian/ * *
 s/org.postgis/net.postgis/ postgis-jdbc * s/.*/debian/ * *
 s/com.fasterxml.woodstox/org.codehaus.woodstox/ 
s/woodstox-core/woodstox-core-lgpl/ * s/.*/debian/ * *


=====================================
debian/patches/disable-netty3.patch
=====================================
--- /dev/null
+++ b/debian/patches/disable-netty3.patch
@@ -0,0 +1,28 @@
+Description: Disable modules requiring Netty 3.
+ Netty 3 is being removed from Debian.
+Author: Bas Couwenberg <sebas...@debian.org>
+Bug: https://trac.openstreetmap.org/ticket/5489
+Bug-Debian: https://bugs.debian.org/905858
+
+--- a/settings.gradle
++++ b/settings.gradle
+@@ -11,7 +11,7 @@ include 'osmosis-pbf2'
+ include 'osmosis-pgsimple'
+ include 'osmosis-pgsnapshot'
+ include 'osmosis-replication'
+-include 'osmosis-replication-http'
++//include 'osmosis-replication-http'
+ include 'osmosis-set'
+ include 'osmosis-tagfilter'
+ include 'osmosis-tagtransform'
+--- a/package/build.gradle
++++ b/package/build.gradle
+@@ -14,7 +14,7 @@ dependencies {
+     runtime project(':osmosis-pgsimple')
+     runtime project(':osmosis-pgsnapshot')
+     runtime project(':osmosis-replication')
+-    runtime project(':osmosis-replication-http')
++//    runtime project(':osmosis-replication-http')
+     runtime project(':osmosis-set')
+     runtime project(':osmosis-tagfilter')
+     runtime project(':osmosis-tagtransform')


=====================================
debian/patches/series
=====================================
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -2,3 +2,4 @@
 02-fix_plexus.patch
 04-osmosis-version.patch
 example-shell-script-fails-syntax-check.patch
+disable-netty3.patch



View it on GitLab: 
https://salsa.debian.org/debian-gis-team/osmosis/compare/eca5236f15a8d6f5262db18b65e4af08b329fae1...e25350d33496f718b5f99700be738679e6535eba

-- 
View it on GitLab: 
https://salsa.debian.org/debian-gis-team/osmosis/compare/eca5236f15a8d6f5262db18b65e4af08b329fae1...e25350d33496f718b5f99700be738679e6535eba
You're receiving this email because of your account on salsa.debian.org.
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@alioth-lists.debian.net
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to